package net.sergeych.crypto2

interface VerifyingKey: KeyInstance {
    /**
     * Verify the signature and return true if it is correct.
     */
    fun verify(signature: UByteArray, message: UByteArray): Boolean
}