@file:Suppress("unused")
package org.komputing.khash.keccak.extensions

import org.komputing.khash.keccak.Keccak
import org.komputing.khash.keccak.KeccakParameter

/**
 * Computes the proper Keccak digest of [this] byte array based on the given [parameter]
 */
@Deprecated("will be removed, use Hash", ReplaceWith("Hash"))
fun ByteArray.digestKeccak(parameter: KeccakParameter): ByteArray {
    return Keccak.digest(this, parameter)
}

@Deprecated("will be removed, use Hash", ReplaceWith("Hash"))
fun UByteArray.digestKeccak(parameter: KeccakParameter): UByteArray {
    return Keccak.digest(this.asByteArray(), parameter).toUByteArray()
}

/**
 * Computes the proper Keccak digest of [this] string based on the given [parameter]
 */
@Deprecated("will be removed, use Hash", ReplaceWith("Hash"))
fun String.digestKeccak(parameter: KeccakParameter): ByteArray {
    return Keccak.digest(encodeToByteArray(), parameter)
}
