package net.sergeych.crypto2

/**
 * Marker interface: anything that is a key of some sort and can be identified
 * with [KeyId].
 *
 * Note that to be keyring-capable it should inherit from [UniversalKey]
 */
interface KeyInstance {
    val id: KeyId
}

