@file:Suppress("unused")

package net.sergeych.utools

import kotlinx.datetime.Clock
import kotlinx.datetime.Instant

fun now(): Instant = Clock.System.now()
fun nowToSeconds(): Instant = Clock.System.now().truncateToSeconds()

fun Instant.truncateToSeconds(): Instant =
    Instant.fromEpochSeconds(toEpochMilliseconds()/1000)